Package ch.qos.logback.core.status

## Class ViewStatusMessagesServletBase

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - ch.qos.logback.core.status.ViewStatusMessagesServletBase

All Implemented Interfaces:
  `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

Direct Known Subclasses:
  `ViewStatusMessagesServlet`, `ViewStatusMessagesServlet`

    public abstract class ViewStatusMessagesServletBase
    extends javax.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ViewStatusMessagesServletBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.String` `getPageTitle​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected abstract StatusManager` `getStatusManager​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void` `printCSS​(java.lang.String localRef, java.io.PrintWriter output)`
`void` `printHeader​(java.lang.StringBuilder buf)`
`void` `printList​(java.lang.StringBuilder buf, StatusManager sm)`
`protected void` `service​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatusMessagesServletBase

    public ViewStatusMessagesServletBase()

### Method Detail

#### getStatusManager

    protected abstract StatusManager getStatusManager​(javax.servlet.http.HttpServletRequest req,
                                                      javax.servlet.http.HttpServletResponse resp)

#### getPageTitle

    protected abstract java.lang.String getPageTitle​(javax.servlet.http.HttpServletRequest req,
                                                     javax.servlet.http.HttpServletResponse resp)

#### service

    protected void service​(javax.servlet.http.HttpServletRequest req,
                           javax.servlet.http.HttpServletResponse resp)
                    throws javax.servlet.ServletException,
                           java.io.IOException

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `java.io.IOException`

#### printCSS

    public void printCSS​(java.lang.String localRef,
                         java.io.PrintWriter output)

#### printList

    public void printList​(java.lang.StringBuilder buf,
                          StatusManager sm)

#### printHeader

    public void printHeader​(java.lang.StringBuilder buf)